// Zum Effekt eines BufferedReaders

import java.io.*;

class BR {
	public static void main(String[] args) throws IOException {
		// ungepuffert
		char[][] starry = new char[20000][];
		for (int i = 0; i < 20000; i++) starry[i] = new char[100];
		long time1 = System.currentTimeMillis();
		
		FileReader fr = new FileReader("test.txt");
		for (int i = 0; i < 20000; i++) {
			fr.read(starry[i], 0, 100);
		}
		fr.close();
		System.out.println("Zeit fuer das ungepufferte Lesen:\t"+(System.currentTimeMillis()-time1));

		starry = null;


		// gepuffert
		starry = new char[20000][];
		for (int i = 0; i < 20000; i++) starry[i] = new char[100];
		time1 = System.currentTimeMillis();

		BufferedReader br = new BufferedReader(
							new FileReader("test.txt"), 100000);

		for (int i = 0; i < 20000; i++) {
			br.read(starry[i], 0, 100);
		}

		br.close();
		System.out.println("Zeit fuer das gepufferte Lesen:\t\t"+(System.currentTimeMillis()-time1));
	}
}