import java.io.*;

class FileDemo {
	
	public static void main(String[] egal) {

		// Eingabedatei ggf. erstellen
		String name = "eingabe.txt";
		File f = new File(name);
		if (!f.exists()) {
			try {
				f.createNewFile();
				System.out.println("Datei "+name+" wird erstellt");
			} catch (Exception e) {
				System.out.println("Fehler beim Erstellen der Datei "+name);
				System.exit(1);
			}
		}
	
		// ber Eingabedatei informieren
		System.out.println("\nEigenschaften der Datei "+name);
		System.out.println("  Vollst. Pfad:       " + f.getAbsolutePath());
		System.out.println("  Groesse in Bytes:   " + f.length());
		System.out.println("  Schreiben moeglich: " + f.canWrite());	
	
		byte[] arr = new byte[80];
		int nbyte = -1;
		FileInputStream fis = null;
		
		// Eingabedatei ffnen und ein Zeichen lesen
		try {
		fis = new FileInputStream(f);
			arr[0] = (byte) fis.read();
			System.out.print("\nDas erste Byte: ");
			System.out.println(arr[0]);

		} catch (Exception e) {
			System.out.println("\nFehler beim Lesen aus der Datei "+name);
			System.exit(2);
		}


		// Rest aus der Eingabedatei lesen
		try {
			nbyte =  fis.read(arr);
			System.out.println("\nBytes gelesen: " + nbyte);
			for (int ind = 0; ind < nbyte; ind++)
				System.out.print((char) arr[ind] + " ");
			System.out.println();
			fis.close();
		} catch (Exception e) {
			System.out.println("\nFehler beim Lesen aus der Datei "+name);
			System.exit(2);
		}

		// Inhalt von arr in die Ausgabedatei schreiben
		try {
			FileOutputStream fos = new FileOutputStream("ausgabe.txt");
			fos.write(arr);
			fos.close();
			System.out.println("\n" + nbyte + " Bytes geschrieben");
		} catch (Exception e) {
			System.out.println("\nFehler beim Schreiben der Ausgabedatei");
			System.exit(3);
		}
	}
}