import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class Sound extends Applet implements ActionListener {
	private Button start = new Button("Start");
	private Button wechseln = new Button("Wechseln");
	private Button stop = new Button("Stop");
	private Label label = new Label("");
	private final static int maxclip = 10;
	private int actclip = 0;
	private boolean music;
	private AudioClip clip[] = new AudioClip[maxclip];
	private String[] song = new String[maxclip];

	public void init() {
		setBackground(Color.WHITE);
		setLayout(new BorderLayout());
		start.addActionListener(this);
		wechseln.addActionListener(this);
		stop.addActionListener(this);

		add(start, BorderLayout.WEST);
		add(wechseln, BorderLayout.CENTER);
		add(stop, BorderLayout.EAST);
		add(label, BorderLayout.SOUTH);

		java.net.URL cb = getCodeBase();
		clip[0] = getAudioClip(cb,"chirp1.au"); song[0] = "Vogel-Geschwister (.au)";
		clip[1] = getAudioClip(cb,"Kuckuck.au"); song[1] = "Kuckuck (.au)";
		clip[2] = getAudioClip(cb,"trippygaia1.mid"); song[2] = "Trippygaia (mid)";
		clip[3] = getAudioClip(cb,"modern-rock.rmf"); song[3] = "Moderner Rock (rmf)";
		clip[4] = getAudioClip(cb,"minuet.mid"); song[4] = "Menuett (mid)";
		clip[5] = getAudioClip(cb,"reggae.mid"); song[5] = "Reggae (mid)";
		clip[6] = getAudioClip(cb,"jazz.mid"); song[6] = "Jazz (mid)";
		clip[7] = getAudioClip(cb,"classical.rmf"); song[7] = "Kanonisch (rmf)";
		clip[8] = getAudioClip(cb,"ambient.rmf"); song[8] = "Ambitioniert (rmf)";
		clip[9] = getAudioClip(cb,"weissNicht.mid"); song[9] = "Keine Ahnung (mid)";
		label.setText(song[0]);
	}

	public void stop() {
		clip[actclip].stop();
	}

	public void start() {
		if (music)
			clip[actclip].loop();
	}

	public void destroy () {
		clip[actclip].stop();
	}
	
	public void actionPerformed(ActionEvent e) {
		if (e.getSource() == stop) {
			clip[actclip].stop();
			music = false;
		}
		else {
			if (e.getSource() == wechseln) {
			    clip[actclip].stop();
				if (actclip < maxclip-1)
			    	actclip++;
			    else
			    	actclip = 0;
				label.setText(song[actclip]);
		 	} else	// Source == start
				music = true;
	 		if (music)
	 			clip[actclip].loop();
		}
	}
}