import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

class SwApp extends JFrame {
    private String labelPrefix = "Anzahl der Klicks: ";
    final static private String titel = "Swing-Demo";
	private JLabel label;
	private JPanel panli;
    private JButton button;
    private int numClicks = 0;
    final private byte maxicon = 3;
	private ImageIcon icon[];
	private JLabel labicon;
    private byte iconr = 0;

    public SwApp() {
		// ber den Basisklassen-Konstruktor erhlt das Hauptfenster einen Titel.
        super(titel);

		// cont ist eine bequeme Referenz auf die Inhaltsschicht des JFrame-Fensters
        Container cont = getContentPane();

        // JButton-Komponente initilisieren
        button = new JButton("Ich mag Swing!");
		// Der Schalter kann auch mit <Alt><S> ausgelst werden.
        button.setMnemonic(KeyEvent.VK_S);
        button.setToolTipText("Befehlsschalter");

 		// JLabel-Komponente mit Text initialisieren
 		label = new JLabel(labelPrefix + "0    ");
        label.setToolTipText("Label mit Text");

		// JPanel-Komponente erzeugen.
		// Dieser "immediate container" dient zur Positionierung von Komponenten.
        panli = new JPanel();

		// Der Container wird "frei gestellt".
        panli.setBorder(BorderFactory.createEmptyBorder(30, 30, 30, 30));

		// Layout-Manager fr die JPanel-Komponente erzeugen
		// Hier wird dafr gesorgt, dass alle Komponentn in einer Spalte stehen.
        panli.setLayout(new GridLayout(0, 1));

        // Der JButton und das Text-JLabel werden auf die JPanel-Komponente gesetzt.
        panli.add(button);
        panli.add(label);

        // Das JPanel wird auf den JFrame gesetzt.
        cont.add(panli, BorderLayout.CENTER);

		// Icons erzeugen
		icon = new ImageIcon[maxicon];
		icon[0] = new ImageIcon("duke.gif");
		icon[1] = new ImageIcon("fight.gif");
		icon[2] = new ImageIcon("snooze.gif");

		// JLabel mit Icon initialisieren
		labicon = new JLabel(icon[0]);
        labicon.setToolTipText("Label mit Icon");		

        // Das Icon-Label wird auf den JFrame gesetzt.
        cont.add(labicon, BorderLayout.EAST);

		// Fr den JButton wird ein ActionListener registriert.
		// Dazu wird eine anonyme Klasse an Ort und Stelle definiert.
        button.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                numClicks++;
                label.setText(labelPrefix + numClicks);
    			if (iconr < maxicon-1)
    				iconr++;
    			else
    				iconr = 0;
    			labicon.setIcon(icon[iconr]);
            }
        });
        
        // Der JFrame erhlt einen Handler fr Fenster-Ereignisse.
        addWindowListener(new Ex());

		// Diese Methode verhindert ein Schlieen unter Miachtung des WindowListeners
        setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);

		// Die JFrame-Gre wird festgelegt.
        setSize(300, 150);

		// JFrame anzeigen
        show();
    }

    public static void main(String[] args) {

		// Instanz unserer Klasse erzeugen
        SwApp swapp = new SwApp();
    }

	// Der WindowListener fr den JFrame (= top level container) wird als interne Klasse definiert.
	private class Ex extends WindowAdapter {
		public void windowClosing(WindowEvent e) {
/*			JOptionPane.showMessageDialog(null, "Vielen Dank fr den Einsatz von Swing-Demo", titel, JOptionPane.INFORMATION_MESSAGE);
			String urteil = JOptionPane.showInputDialog(e.getWindow(),
                      "Wie Beurteilen Sie das Programm?", titel, JOptionPane.QUESTION_MESSAGE);
*/
			if (JOptionPane.showConfirmDialog(e.getWindow(), 
               	  "Wollen Sie nach "+ numClicks +
               	  " Klicks wirklich schon aufhren?", 
               	  titel, JOptionPane.YES_NO_OPTION) == 0)
				System.exit(0);
		}
	}
}
