import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

class KeyListenerDemo extends JFrame {
	private JLabel keyCode, uChar;

    public KeyListenerDemo() {
        super("KeyListener-Demo");

        keyCode = new JLabel("KeyCode:");
        uChar = new JLabel("Unicode-Zeichen:");
        getContentPane().add(keyCode, BorderLayout.NORTH);
        getContentPane().add(uChar, BorderLayout.SOUTH);

        addKeyListener(new KeyAdapter() {
			public void keyPressed(KeyEvent e) {
				keyCode.setText("KeyCode: "+String.valueOf(e.getKeyCode()));
            }
			public void keyTyped(KeyEvent e) {
				uChar.setText("Unicode-Zeichen: "+String.valueOf(e.getKeyChar()));
            }
			public void keyReleased(KeyEvent e) {
				keyCode.setText("KeyCode: ");
				uChar.setText("Unicode-Zeichen: ");
            }
        });

		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setSize(200, 70);
        show();
    }

    public static void main(String[] args) {
        new KeyListenerDemo();
    }

}
