
import java.applet.*;
import java.awt.*;
import java.awt.event.*;

public class LaufschriftEinAus extends Applet implements ActionListener, ItemListener, Runnable{
	private final String TXT = "Wo laufen sie denn? Wo laufen sie denn hin?";
	private final int PAUSE  = 10;
	private final int SPRUNG = 2;
	private final int SPOS  = 80;

	Thread laufband;
	boolean lban = true;
	private int x,		// akt. Schreibpos.
			tb;			// Textbreite

	private final String LABELPREFIX = "Anzahl der Klicks: ";
	private Label lab;
	private int numClicks;
	private Button butt;
	private Checkbox cb;

	public void init() {
		setBackground(Color.YELLOW);
		butt = new Button("Klicker");
		lab = new Label(LABELPREFIX + "0    ");
		cb = new Checkbox("Laufband ein/aus", true);
		setLayout(null);
		add(butt);
		add(lab);
		add(cb);
		butt.setBounds(5,5,50,25);
		lab.setBounds(60,5,120,25);
		cb.setBounds(190,5,120,25);

		butt.addActionListener(this);
		cb.addItemListener(this);

		tb = getFontMetrics(getFont()).stringWidth(TXT);
		laufband = new Thread(this, "Laufband");
		laufband.start();
	}

	public void actionPerformed(ActionEvent e) {
		numClicks++;
		lab.setText(LABELPREFIX + numClicks);
	}

	public synchronized void itemStateChanged(ItemEvent e) {
		lban = !lban;
		if (lban)
			notify();
		else
			repaint();
	}

	public void paint(Graphics g) {
		g.clearRect(0,75,getSize().width,25);
		if (lban)
			g.drawString(TXT, x, SPOS);
	}

	public void run() {
		while (true) {
			try {
				Thread.sleep(PAUSE);
				synchronized(this) {
					while (!lban)
						wait();
				}
			} catch(InterruptedException ie) {
				System.err.println(ie.toString());
			}
			if (x + tb < 0)
				x = getSize().width;
			else	
				x -= SPRUNG;
			repaint();
		}
	}

}
